## org.eclipse.datatools.modelbase.sql.expressions
Interface SQLExpressionsFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SQLExpressionsFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLExpressionsPackage`

Field Summary
`static SQLExpressionsFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`QueryExpressionDefault` `createQueryExpressionDefault()` Returns a new object of class 'Query Expression Default'.
`SearchConditionDefault` `createSearchConditionDefault()` Returns a new object of class 'Search Condition Default'.
`ValueExpressionDefault` `createValueExpressionDefault()` Returns a new object of class 'Value Expression Default'.
`SQLExpressionsPackage` `getSQLExpressionsPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SQLExpressionsFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createQueryExpressionDefault

    QueryExpressionDefault createQueryExpressionDefault()

  Returns a new object of class 'Query Expression Default'.

  Returns:
    a new object of class 'Query Expression Default'.

### createSearchConditionDefault

    SearchConditionDefault createSearchConditionDefault()

  Returns a new object of class 'Search Condition Default'.

  Returns:
    a new object of class 'Search Condition Default'.

### createValueExpressionDefault

    ValueExpressionDefault createValueExpressionDefault()

  Returns a new object of class 'Value Expression Default'.

  Returns:
    a new object of class 'Value Expression Default'.

### getSQLExpressionsPackage

    SQLExpressionsPackage getSQLExpressionsPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.